# $Revision: 1.67 $, $Date: 2006/10/29 20:56:19 $
#
# Conditional build:
%bcond_with	license_agreement	# generates package
#
%define		base_name	acroread
Summary:	Acrobat Reader
Summary(pl):	Acrobat Reader - czytnik plikw PDF
Summary(ru):	      PDF  Adobe
Summary(uk):	   Ԧ  Ԧ PDF צ Adobe
%if %{with license_agreement}
Name:		%{base_name}
%else
Name:		%{base_name}-installer
%endif
%define	_rel	4
Version:	7.0.8
Release:	%{_rel}%{?with_license_agreement:wla}
Epoch:		1
License:	distribution restricted (http://www.adobe.com/products/acrobat/distribute.html)
# in short:
# - not distributable on public sites (only linking to adobe.com permitted)
# - distribution on CD requires signing Distribution Agreement (see URL above)
Group:		X11/Applications/Graphics
%if %{with license_agreement}
Source0:	http://ardownload.adobe.com/pub/adobe/reader/unix/7x/7.0.8/enu/AdobeReader_enu-%{version}-1.i386.tar.gz
%else
Source0:	license-installer.sh
%endif
# please update @COPYSOURCES@ below if you add more Sources.
Source1:	%{base_name}.desktop
Source2:	%{base_name}.png
Patch0:		%{base_name}-expr.patch
Patch1:		%{base_name}-scim.patch
URL:		http://www.adobe.com/products/acrobat/
%if %{with license_agreement}
BuildRequires:	rpmbuild(macros) >= 1.236
Requires:	openldap-libs >= 2.3
%else
Requires:	rpm-build-tools
%endif
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%{_libdir}/browser-plugins

# TODO: galeon and skipstone, konqueror, opera.
# use macro, otherwise extra LF inserted along with the ifarch
%define	browsers mozilla, mozilla-firefox, seamonkey

%define		platform	intellinux
%define		tar0		ILINXR.TAR
%define		tar1		COMMON.TAR

%define		_noautostrip	.*\.api
%define		_noautoreq	'^lib.*\.so$' '^lib.*\(VERSION\)$'

%description
Adobe(R) Reader(R) is free software that lets you view and print PDF
files (Portable Document Format) on a variety of hardware and
operating system platforms.

%description -l pl
Adobe(R) Reader(R) jest darmowym oprogramowaniem umoliwiajcym
ogldanie oraz drukowanie plikw PDF (Portable Document Format) na
rnych platformach sprztowych oraz rnych systemach operacyjnych.

%description -l ru
      Portable Document Format
(PDF),  Adobe Acrobat'.

%description -l uk
   Ԧ  Ԧ Portable Document Format
(PDF),  Adobe Acrobat'.

%package -n browser-plugin-%{name}
Summary:	PDF plugin for Mozilla compatible browsers
Summary(pl):	Wtyczka PDF dla przegldarek zgodnych Mozilla
Group:		X11/Applications
Requires:	%{base_name} = %{epoch}:%{version}-%{release}
Requires:	browser-plugins(%{_target_base_arch})
Obsoletes:	acroread-plugin
Obsoletes:	mozilla-plugin-acroread

%description -n browser-plugin-%{name}
A Mozilla plugin for displaying PDF (Portable Document Format) files.

%description -n browser-plugin-%{name} -l pl
Wtyczka Mozilli do wywietlania plikw PDF (Portable Document Format).

%prep
%if %{with license_agreement}
%setup -q -c
cd AdobeReader
tar xf %{tar0}
tar xf %{tar1}
%patch0 -p1
%patch1 -p1
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{without license_agreement}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{base_name}}

sed -e '
	s/@BASE_NAME@/%{base_name}/g
	s/@TARGET_CPU@/%{_target_cpu}/g
	s-@VERSION@-%{version}-g
	s-@RELEASE@-%{release}-g
	s,@SPECFILE@,%{_datadir}/%{base_name}/%{base_name}.spec,g
	s,@DATADIR@,%{_datadir}/%{base_name},g
	s/@COPYSOURCES@/%{base_name}{.desktop,.png}/g
' %{SOURCE0} > $RPM_BUILD_ROOT%{_bindir}/%{base_name}.install

install %{_specdir}/%{base_name}.spec $RPM_BUILD_ROOT%{_datadir}/%{base_name}
install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/%{base_name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/%{base_name}

%else
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/%{base_name},%{_plugindir}} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

cd AdobeReader
cp -a Reader Resource $RPM_BUILD_ROOT%{_libdir}/%{base_name}
awk -v INSTDIR=%{_libdir}/%{base_name}/Reader \
	'/^install_dir=/ {print "install_dir="INSTDIR; next} \
	{print}' \
	bin/%{base_name} > $RPM_BUILD_ROOT%{_bindir}/%{base_name}
install Browser/%{platform}/* $RPM_BUILD_ROOT%{_plugindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

rm -rf $RPM_BUILD_ROOT%{_libdir}/%{base_name}/Reader/Patch

ln -sf /usr/lib/liblber-2.3.so.0 $RPM_BUILD_ROOT%{_libdir}/%{base_name}/Reader/%{platform}/lib/liblber.so
ln -sf /usr/lib/libldap-2.3.so.0 $RPM_BUILD_ROOT%{_libdir}/%{base_name}/Reader/%{platform}/lib/libldap.so
ln -sf /usr/share/ssl/ca-bundle.crt $RPM_BUILD_ROOT%{_libdir}/%{base_name}/Reader/Cert/curl-ca-bundle.crt

chmod a-x $RPM_BUILD_ROOT%{_libdir}/%{base_name}/Reader/%{platform}/lib/*.so.*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{without license_agreement}
%post
%{_bindir}/%{base_name}.install

%else

%triggerin -n browser-plugin-%{name} -- mozilla-firefox
%nsplugin_install -d %{_libdir}/mozilla-firefox/plugins nppdf.so

%triggerun -n browser-plugin-%{name} -- mozilla-firefox
%nsplugin_uninstall -d %{_libdir}/mozilla-firefox/plugins nppdf.so

%triggerin -n browser-plugin-%{name} -- mozilla
%nsplugin_install -d %{_libdir}/mozilla/plugins nppdf.so

%triggerun -n browser-plugin-%{name} -- mozilla
%nsplugin_uninstall -d %{_libdir}/mozilla/plugins nppdf.so

%triggerin -n browser-plugin-%{name} -- seamonkey
%nsplugin_install -d %{_libdir}/seamonkey/plugins nppdf.so

%triggerun -n browser-plugin-%{name} -- seamonkey
%nsplugin_uninstall -d %{_libdir}/seamonkey/plugins nppdf.so

# % triggerin -n browser-plugin-%{name} -- konqueror
# % nsplugin_install -d %{_libdir}/kde3/plugins/konqueror nppdf.so

# % triggerun -n browser-plugin-%{name} -- konqueror
# % nsplugin_uninstall -d %{_libdir}/kde3/plugins/konqueror nppdf.so

# % triggerin -n browser-plugin-%{name} -- opera
# % nsplugin_install -d %{_libdir}/opera/plugins nppdf.so

# % triggerun -n browser-plugin-%{name} -- opera
# % nsplugin_uninstall -d %{_libdir}/opera/plugins nppdf.so

# as rpm removes the old obsoleted package files after the triggers
# above are ran, add another trigger to make the links there.
%triggerpostun -n browser-plugin-%{name} -- mozilla-plugin-acroread, acroread-plugin
%nsplugin_install -f -d %{_libdir}/mozilla/plugins nppdf.so

%endif

%files
%defattr(644,root,root,755)
%if %{without license_agreement}
%attr(755,root,root) %{_bindir}/%{base_name}.install
%{_datadir}/%{base_name}
%else
%doc AdobeReader/{LICREAD.TXT,ReadMe.htm}
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{base_name}
%{_libdir}/%{base_name}/Resource
%dir %{_libdir}/%{base_name}/Reader
%{_libdir}/%{base_name}/Reader/help
%{_libdir}/%{base_name}/Reader/AcroVersion
%{_libdir}/%{base_name}/Reader/Cert
%{_libdir}/%{base_name}/Reader/GlobalPrefs
%{_libdir}/%{base_name}/Reader/HowTo
%{_libdir}/%{base_name}/Reader/Legal
%{_libdir}/%{base_name}/Reader/JavaScripts
%{_libdir}/%{base_name}/Reader/Messages
%{_libdir}/%{base_name}/Reader/WebSearch
%dir %{_libdir}/%{base_name}/Reader/%{platform}
%dir %{_libdir}/%{base_name}/Reader/%{platform}/plug_ins
%dir %{_libdir}/%{base_name}/Reader/%{platform}/plug_ins3d
%attr(755,root,root) %{_libdir}/%{base_name}/Reader/%{platform}/SPPlugins
%attr(755,root,root) %{_libdir}/%{base_name}/Reader/%{platform}/bin
%attr(755,root,root) %{_libdir}/%{base_name}/Reader/%{platform}/lib
%attr(755,root,root) %{_libdir}/%{base_name}/Reader/%{platform}/plug_ins/*.api
%attr(755,root,root) %{_libdir}/%{base_name}/Reader/%{platform}/plug_ins3d/*.x3d
%{_libdir}/%{base_name}/Reader/%{platform}/plug_ins/AcroForm
%{_libdir}/%{base_name}/Reader/%{platform}/plug_ins/Annotations
%{_libdir}/%{base_name}/Reader/%{platform}/res
%{_desktopdir}/acroread.desktop
%{_pixmapsdir}/*

%files -n browser-plugin-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_plugindir}/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: acroread.spec,v $
Revision 1.67  2006/10/29 20:56:19  glen
- rel 4

Revision 1.66  2006/10/27 21:56:07  czarny
- added patches stolen from ArchLinux to get rid of expr syntax error problem
- runs, works - enjoy!

Revision 1.65  2006/06/14 10:58:12  glen
- more triggers, rel 3

Revision 1.64  2006/06/13 19:29:56  blues
- rel.2 - unified plugin for browsers subpackage name.

Revision 1.63  2006/06/12 11:32:56  charles
- cosmetics

Revision 1.62  2006/06/12 11:25:33  charles
- added missing plug_ins3d

Revision 1.61  2006/06/12 11:09:55  charles
- updated to 7.0.8 (security bugfixes)

Revision 1.60  2006/05/24 07:00:08  hawk
- dropped obsolete R: mozilla-embedded, works perfectly in
  seamonkey and firefox
- release 7

Revision 1.59  2006/05/21 11:39:04  hawk
- added seamonkey to browsers
- release 6

Revision 1.58  2006/05/20 11:01:53  baggins
- rel 5
- fix browser-plugins req

Revision 1.57  2006/05/20 00:02:54  baggins
- rel 4
- clean mess in mozilla triggers

Revision 1.56  2006/04/22 18:50:06  glen
- rel 3

Revision 1.55  2006/04/22 17:20:37  glen
- rel 2

Revision 1.54  2006/04/22 17:19:38  glen
- adapter, require rpm-build-tools for installer

Revision 1.53  2006/02/09 15:36:10  maciek2w
- updated to 7.0.5; STBR

Revision 1.52  2006/02/02 02:52:41  charles
- updated for new (2.3) openldap-libs
- rel++

Revision 1.51  2006/01/02 11:00:41  glen
- run script in %post; rel 4

Revision 1.50  2005/12/09 13:47:14  baggins
- release 3

Revision 1.49  2005/12/09 13:41:19  baggins
- triggers fixed

Revision 1.48  2005/12/09 13:33:35  baggins
- added missing defines

Revision 1.47  2005/12/09 13:30:00  baggins
- release 2.1
- use browser-plugins framework

Revision 1.46  2005/08/28 20:07:12  glen
- use shared license-installer.sh from SOURCES
- rel 2

Revision 1.45  2005/08/19 11:31:03  blekot
- up to 701 (7.0.1) (security bug fixed)

Revision 1.44  2005/05/13 02:40:44  charles
- use system openldap-libs (symlinks) for PPKLite plugin
- fixed %files
- rel. 3

Revision 1.43  2005/05/12 18:27:50  gotar
- fixed stripping disabling

Revision 1.42  2005/03/31 12:39:22  ankry
- rel. 1

Revision 1.41  2005/03/23 19:49:39  arekm
- merge from devel; add missing directories; use system certs.

Revision 1.40.2.5  2005/03/15 11:13:22  pawcioos
- updated to 7.0

Revision 1.40.2.4  2005/01/08 14:08:24  arekm
- add epoch to requires

Revision 1.40.2.3  2005/01/08 13:59:10  arekm
- version as 7.0; don't strip *.api (it's still 52MB whether you strip
  *.api or not); add Legal dir. works now

Revision 1.40.2.2  2005/01/08 03:16:50  ankry
- Epoch: 1 (70 < 5010)

Revision 1.40.2.1  2005/01/08 00:24:29  arekm
- 7.0 beta; doesn't work for me

Revision 1.40  2005/01/02 11:08:07  tommat
- removed calls to nonexistant patch in installer - now works
- rel 2, STBR

Revision 1.39  2004/12/15 23:04:39  adamg
- we don't want to copy patches that don't exist

Revision 1.38  2004/12/15 21:54:41  qboosh
- fixed build, removed obsolete locale patch

Revision 1.37  2004/12/15 17:57:06  paszczus
- updated to 5.0.10

Revision 1.36  2004/12/13 12:47:32  ankry
- check whether to install mozilla plugin, unhode the patch is _not_
  commented out, rel. 3

Revision 1.35  2004/11/18 03:06:53  ankry
- license-compatoble installer, rel. 2

Revision 1.34  2004/09/28 21:50:54  gotar
- don't strip wwwlink.api either (what about rest?)

Revision 1.33  2004/09/28 12:24:05  gotar
- ewh.api cannot be stripped for mozilla plugin to work

Revision 1.32  2004/09/28 11:50:33  gotar
- commented out locale patch (don't see explanation for it's existence),
- updated md5.

Revision 1.31  2004/06/13 19:40:10  arekm
- updated to 509

Revision 1.30  2003/09/26 14:03:20  adgor
- Desktop file moved to %{_desktopdir}

Revision 1.29  2003/09/12 22:35:39  grzegol
- added icon
- rel. 2

Revision 1.28  2003/08/20 20:43:24  grzegol
- updated to 508

Revision 1.27  2003/08/18 08:07:53  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/08/11 15:15:41  snurf
- description fixes

Revision 1.25  2003/08/06 16:04:32  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.24  2003/07/10 14:14:29  qboosh
- generally NOT distributable

Revision 1.23  2003/06/21 10:55:50  misi3k
- updated to 5.0.7

Revision 1.22  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.21  2003/05/25 05:45:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/02/01 12:34:25  gotar
- added URL, done some cosmetics

Revision 1.19  2003/01/31 22:22:31  migo
- fixes/typos in summaries/descriptions

Revision 1.18  2003/01/13 09:56:53  adgor
- Prefix /usr
- Release 3

Revision 1.17  2002/09/08 18:49:08  blues
- release 2 - added desktop - STBR

Revision 1.16  2002/07/26 21:13:11  qboosh
- security update to 506, updated patch

Revision 1.15  2002/05/23 20:58:50  qboosh
- new %doc
- +x for nppdf.so (but it doesn't work for me anyway)

Revision 1.14  2002/05/22 10:36:53  zagrodzki
- updated to 5.05

Revision 1.13  2002/05/14 14:46:30  saq
- mozilla plugin placed the right place
- ... and placed in an appropriate subpackage

Revision 1.12  2002/04/25 15:41:38  arturs
- fixed a small typo

Revision 1.11  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/13 22:42:06  ankry
- added desc from KSI; adapterized
- release 3

Revision 1.9  2002/01/18 02:12:18  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/10/31 10:50:37  qboosh
- adapterized, cosmetics

Revision 1.7  2001/10/18 23:15:40  blues
- s/Copyright/License/

Revision 1.6  2001/10/01 17:32:40  zagrodzki
- added locale patch
- rel 2

Revision 1.5  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.4  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:14:22  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.1  2000/02/21 23:18:50  klakier
- working version
  TODO: fix permissions (some files doesn't need +x)
